%define _kde4_alternate_placement 1
%add_findpackage_path %_kde4_bindir

%define rname konqueror-plugin-youtubedownload
Name: kde4-%rname
Version: 0.3
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: Konqueror extension for youtube downloading
Url: http://kde-apps.org/content/show.php/Youtube+Download?content=121350
License: GPL

Requires: kde4libs >= %{get_version kde4libs}
Requires: kde4base-konqueror

Source: %rname-%version.tar.gz
Patch1: youtubedownload-alt-message.patch


# Automatically added by buildreq on Wed Apr 28 2010 (-bi)
#BuildRequires: gcc-c++ glib2-devel glibc-devel-static kde4libs-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdamage-devel libXdmcp-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libqt3-devel libxkbfile-devel qt4-assistant qt4-designer rpm-build-ruby
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ glib2-devel glibc-devel xorg-devel

%description
Extension for downloading youtube videos right from youtube video page


%prep
%setup -q -n %rname-%version
%patch1 -p0


%build
%K4build

%install
%K4install


%files
%_K4lib/youtubedownload.so
%_K4apps/khtml/kpartplugins/plugin_youtubedownload.*
%_K4apps/youtubedownload
%_K4iconsdir/oxygen/*/actions/youtubedownload.*


%changelog
* Wed Apr 28 2010 Sergey V Turchin <zerg@altlinux.org> 0.3-alt0.M51.1
- build for M51

* Wed Apr 28 2010 Sergey V Turchin <zerg@altlinux.org> 0.3-alt1
- initial specfile
